/*
	CSS Syntax
	
	CSS Rule-set

	selector {
	
	property: value;

	}



*/




/* * - Universal selector. It is able to select all the elements in an HTML web page

	font-family [roperty allows to determine the font of the text]

	The value Courier New becomes the default font if our element. monospace is the secondary font or the fallback font, which means if the font "Courrier New" is not installed or cannot be found, we will fallback to the use of a font similar to "Courier New".
	

	second declaration
	font-size property allows us to change the size of the font. 

	font-size can only be measured not only by pixel. Other CSS measurements can be usedto determine the font size


*/
* {
	font-family: "Courier New", monospace;
	font-size: 20px;
}

html {
	/*scroll-behavior changes the scrolling when navigating within the page*/
	scroll-behavior: smooth;
}

body {
	/*changes the color background of the element*/
	background-color: skyblue;
}

nav {
	/*selector:hover pseudo class*/
	/*change the style of an element when hovered over.*/
	background-color: white;

}

nav > div {
	/*display-inline-block allows us to change the display of the div element from block to inline, which means this div is not inline with its siblings however still act like a blick element*/
	/*float: right; we were able to change the horizontal alignment of our element and put it to the right of our container.*/
	display: inline-block;
	float: right;
}



a:hover {

	background-color: #b4d6de;
}
/*h1 is the selector called type/tag selector - allows us to select element type or tag*/
h1 {
	/*cntrl + shift + 
	!important will make the property a priority
	color: blue !important;
	background-color: black;*/

	/*rem is a root measurement based on the font size of the root element. Default font size 16px.
The root element is the html tag
	*/

	color: black !important;
	font-size: 2rem; /*2 times the root element 
	font size*/
	text-align: center;
/*	h3 {
		font-size: 50px;
	}
*/
}
section {

	height: 100vh;
	text-align: center;
}

h2 {
	font-size: 1.5rem;
}

ol {
	/*remove the list style from our list items*/
	list-style-type: none;
}


/*id selector allows us to select the element with a particular id. This selector is the highest priority

in CSS, you can select the id by adding # before the name of the id.
*/
#zuitt-motto {
	letter-spacing: 5px;
}
/*class selector allows us to select element/elements with the same class in CSS, we can select class by adding . before the name of the class*/

li {
	text-transform: lowercase;
}

/*An element can have both an id and a class, however declarations for id is given more priority*/
.offering-item {
	/*text-transform allows to determine the case of an element*/
	text-transform: uppercase;
/*	letter-spacing: 20px;*/
}

/*we select them via attribute selector input
attribute selector allows to select elements with the same tag and attribute

input [required]
*/

input[required] {
	/*

	boredr-width property allows us to change the thickness of element's border

	border-style property allows us to change the style of the border

	border-color allows us to change the color of an element


	*/
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	/*The width of the input is now 90% of its parent element*/
	width: 90%;

}

/*Adjacent sibling selector. This allows us to select the sibling element directly after the firsdt selector*/


/*

first selector + 

*/

h3 + img {

	/*
		height and width properties allows us to determine the height and width of an element. Unlike the height and width attribute in our HTML, in CSS< we can add more measurements instead of just pixels


		border-radius allows us to round the corners of an element.


	*/
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/**/

/*desscendant selector

allows us to select elements which are descendants of the first selector.

syntax
first selector is the ancestor <space> descendant.


*/
#bootcamp-learning-list li {
/*#075966 has a value to color. This is hex value. This is hexadecimal value consists of the pound sign # plus 6 alphanumeric characters. Hex color are more specific than regular HTML colors*/
	color: #075966;
}
/*general sibling selector - this will allow us to select siblings after our first selector*/
h2 ~ a {
	/*text-decoration property chnage lines included in text ex. overline, underlines, or strikethrough. By default anchor tags have underline*/
	text-decoration: none;
}

/*child selector

Allows us to select the child of an element.

Selector = parent > child.


*/

body > section > form > label {
	/*rgb () can be accepted as a value of properties that change color. RGB values refer to red, green and blue and the combination of these values from 0 to 255 determines the color*/
	color: rgb (0, 0, 128);
}

form {
	text-align: center;
	background-color: white;
	/*border: <width, style, color>*/
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	/*viewport width is a measurement based on a percentage of the width of the screen we are viewing our page from*/

	/*position property changes the position of an element based on a criteria

	relative relative means we will move the element relative to its original position in the document

	left property allows us to add measurement on the left side of the element.

	The value percentage is base on the measurement of the parent element. 37.25% from the left of the parent element.
	*/


	position: relative;
	left: 37.25%;
}

button {
	color: white;
	background-color: #cf0053;
	border: none;
	border-radius: 15px;
}








